RCS2LOG(1)

NAME
rcs2log - generates a changelog from RCS files

SYNOPSIS
rcs2log [OPTION] ... [FILE ...]

DESCRIPTION
rcslog generates a change log from RCS files, which can possibly be located in a CVS repository, and outputs the new change log to standard output. If no FILE is specified, rcs2log will use the files registered under the working directory. The change log prefix can be later copied to the existing ChangeLog file.

  OPTIONS

-c CHANGELOG
    Output a change log prefix to CHANGELOG (default ChangeLog).

-h HOSTNAME
    Use HOSTNAME in change log entries (default current host).

-i INDENT
    Indent change log lines by INDENT spaces (default 8).

-l LENGTH
    Try to limit log lines to LENGTH characters (default 79).

-R  If no FILEs are given and RCS is used, recurse through working directory.

-r  OPTION Pass OPTION to subsidiary log command.

-t TABWIDTH
    Tab stops are every TABWIDTH characters (default 8).

-u "LOGIN\tFULLNAME\tMAILADDR"
    Assume LOGIN has FULLNAME and MAILADDR.

-v  Append RCS revision to file names in log lines.

--help
    Output help.

--version
    Output version number.

AUTHOR
rcs2log was written by Paul Eggert <eggert@twinsun.com>.

COPYRIGHT
rcs2log is free; anyone may redistribute copies of rcslog to anyone under the terms stated in the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

BUGS
There is a mailing list, bug-gnu-emacs@gnu.org on the internet, for reporting bugs in rcs2log. Please, if you find any bug, report it (if you really are good-willing, a patch is appreciated). Please note that this program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. In other terms, if rcs2log breaks, you get to keep both pieces.

SEE ALSO
cvs(1), cvsconfig(1)

NOTE
This manual page was written by Andrea Glorioso <sama@aglorioso.com> for the Debian GNU/Linux distribution because the original program did not have a manual page.